package controller

import "jaecoo-be/app/module/promotions/service"

type Controller struct {
	Promotions PromotionsController
}

func NewController(PromotionsService service.PromotionsService) *Controller {
	return &Controller{
		Promotions: NewPromotionsController(PromotionsService),
	}
}
